gambas3 (3.20.4-1ubuntu1) resolute; urgency=medium

  * Fix build against poppler 26.01

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 25 Feb 2026 16:41:17 +0100

gambas3 (3.20.4-1build3) resolute; urgency=medium

  * No-change rebuild for poppler 26.01

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 19 Feb 2026 12:42:42 +0000

gambas3 (3.20.4-1build2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 22:33:26 +0100

gambas3 (3.20.4-1build1) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Sep 2025 07:53:36 +0100

gambas3 (3.20.4-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.20.4 (Closes: #1096670)

 -- Bastian Germann <bage@debian.org>  Tue, 16 Sep 2025 21:15:47 +0200

gambas3 (3.20.2-2) unstable; urgency=medium

  * Team upload
  * Drop gambas3-gb-mongodb because it only builds with v1.0

 -- Bastian Germann <bage@debian.org>  Wed, 20 Aug 2025 23:04:43 +0200

gambas3 (3.20.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.20.2
  * Correct gb.db2 dependencies
  * Let gambas3-ide depend on gambas3-gb-hash
  * Revert "Fix armel alignment issue"
  * Revert "Add patches to fix build against poppler >= 25.01"

 -- Bastian Germann <bage@debian.org>  Fri, 07 Mar 2025 23:30:21 +0100

gambas3 (3.20.0-4) unstable; urgency=medium

  * Team upload
  * Drop gambas3-gb-qt6-webview on mips64el
  * Drop superfluous patch
  * Fix armel alignment issue (Closes: #1093399)
  * Check overflow

 -- Bastian Germann <bage@debian.org>  Sat, 18 Jan 2025 13:47:39 +0100

gambas3 (3.20.0-3) unstable; urgency=medium

  * Team upload
  * Only build qt6 components that are expected

 -- Bastian Germann <bage@debian.org>  Fri, 17 Jan 2025 20:57:45 +0100

gambas3 (3.20.0-2) unstable; urgency=medium

  * Team upload
  * Remove unused install file
  * Enable new components and drop qt5 components

 -- Bastian Germann <bage@debian.org>  Fri, 17 Jan 2025 15:56:29 +0100

gambas3 (3.20.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.20.0
  * Revert "gbx_exec_loop: align type with builtin check signature"
  * Rebase patch
  * Disable new compnents
  * Add new copyright info
  * Do not check overflow (upstream tried to fix this unsuccessfully)

  [ Alessandro Astone ]
  * Add patches to fix build against poppler >= 25.01 (Closes: #1093187)

 -- Bastian Germann <bage@debian.org>  Thu, 16 Jan 2025 11:33:39 +0100

gambas3 (3.19.5-1) unstable; urgency=medium

  * Team upload
  * Drop armel support
  * Disable gtk3webview unavailable on hurd
  * New upstream version 3.19.5

  [ Pino Toscano ]
  * Enable webkit in gb.qt5 also on non-Linux architectures

 -- Bastian Germann <bage@debian.org>  Fri, 08 Nov 2024 10:29:20 +0000

gambas3 (3.19.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.19.3
  * gbx_number: align type with builtin check signature (Closes: #1077196)
  * gbx_exec_loop: align type with builtin check signature

 -- Bastian Germann <bage@debian.org>  Sat, 03 Aug 2024 12:59:01 +0200

gambas3 (3.19.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.19.1
  * Remove library B-Ds that worked around #960707 (Closes: #1067473)
  * Remove kfreebsd leftovers
  * Scan git for new versions

 -- Bastian Germann <bage@debian.org>  Fri, 22 Mar 2024 17:22:33 +0000

gambas3 (3.19.0-2) unstable; urgency=medium

  * Fix lintian warning about pkg-config
  * Correct lintian overrides

 -- Bastian Germann <bage@debian.org>  Fri, 16 Feb 2024 19:44:32 +0000

gambas3 (3.19.0-1) unstable; urgency=medium

  * New upstream version 3.19.0
  * d/copyright: Add new upstream info
  * Add new gambas3-gb-highlight

  [ Amin Bandali ]
  * patch: make 'gb.pdf' compile with poppler 24.02.0 (Closes: #1063926)

 -- Bastian Germann <bage@debian.org>  Thu, 15 Feb 2024 19:19:50 +0000

gambas3 (3.18.4-3) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Build with webkit2gtk 4.1 instead of 4.0

 -- Bastian Germann <bage@debian.org>  Thu, 04 Jan 2024 21:56:26 +0100

gambas3 (3.18.4-2) unstable; urgency=medium

  * Team upload
  * Revert "Drop clang (armel builds with gcc again)"
  * Fix lintian: debian-rules-uses-wrong-environment-variable

 -- Bastian Germann <bage@debian.org>  Sun, 05 Nov 2023 14:05:42 +0100

gambas3 (3.18.4-1) unstable; urgency=medium

  * Team upload
  * Drop clang (armel builds with gcc again)
  * Drop Bastian from Uploaders
  * New upstream version 3.18.4

 -- Bastian Germann <bage@debian.org>  Sat, 04 Nov 2023 23:29:27 +0100

gambas3 (3.18.3-1) unstable; urgency=medium

  * New upstream version 3.18.3

  [ Amin Bandali ]
  * Add debian/patches/gb-pdf-poppler-upper-bound.patch to remove the
    upper bound on poppler version for gb.pdf, so it could be built
    with poppler 23.08.0 and later as well.

 -- Bastian Germann <bage@debian.org>  Fri, 18 Aug 2023 22:13:04 +0200

gambas3 (3.18.2-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Don't use qtwebengine5-dev on mipsel; to be removed (Closes: #1041909)

 -- Bastian Germann <bage@debian.org>  Tue, 25 Jul 2023 10:07:47 +0200

gambas3 (3.18.2-2) unstable; urgency=medium

  * Disable SDL 1.2 components (Closes: #1038356)
  * Include gb.geom.component with wildcard

 -- Bastian Germann <bage@debian.org>  Mon, 19 Jun 2023 16:32:11 +0200

gambas3 (3.18.2-1) unstable; urgency=medium

  * New upstream version 3.18.2
  * Drop transitional packages (Closes: #1032701, #1032702, #1032703, #1032720)
  * Let -webkit packages depend on both -x11 and -wayland
  * Drop upstream patch

 -- Bastian Germann <bage@debian.org>  Wed, 14 Jun 2023 18:14:24 +0200

gambas3 (3.18.0-4) unstable; urgency=medium

  * Change dependencies to guarantee IDE startup
  * Remove Ian (disappeared) from Uploaders

 -- Bastian Germann <bage@debian.org>  Thu, 26 Jan 2023 09:11:56 +0100

gambas3 (3.18.0-3) unstable; urgency=high

  * Build armel with clang (gcc 12.2 fails)
  * Use the correct DEB_HOST_ARCH_OS var for cross compilation

 -- Bastian Germann <bage@debian.org>  Mon, 23 Jan 2023 16:32:17 +0100

gambas3 (3.18.0-2) unstable; urgency=medium

  * Add reserved font names

 -- Bastian Germann <bage@debian.org>  Tue, 17 Jan 2023 21:14:45 +0100

gambas3 (3.18.0-1) unstable; urgency=medium

  * New upstream version 3.18.0
  * gambas3-gb-gtk3-opengl: Install missing files
  * Add new components

 -- Bastian Germann <bage@debian.org>  Mon, 16 Jan 2023 18:32:36 +0100

gambas3 (3.17.3-2) unstable; urgency=medium

  * Patch: Import pcre2 variant when configured to use it (Closes: #1018019)

 -- Bastian Germann <bage@debian.org>  Wed, 24 Aug 2022 23:52:35 +0200

gambas3 (3.17.3-1) unstable; urgency=medium

  * Drop upstream patch

 -- Bastian Germann <bage@debian.org>  Sat, 23 Jul 2022 10:47:02 +0200

gambas3 (3.17.2-2) unstable; urgency=medium

  [ Nathan Pratta Teodosio ]
  * debian/patches/fix-build-poppler-22-06.patch (LP: #1980522)

 -- Bastian Germann <bage@debian.org>  Thu, 07 Jul 2022 17:00:00 +0200

gambas3 (3.17.2-1) unstable; urgency=medium

  * New upstream version 3.17.2

 -- Bastian Germann <bage@debian.org>  Sun, 10 Apr 2022 16:59:06 +0200

gambas3 (3.17.1-1) unstable; urgency=medium

  * New upstream version 3.17.1 (Closes: #1008758)
  * d/copyright: Add new license

 -- Bastian Germann <bage@debian.org>  Tue, 05 Apr 2022 11:44:31 +0200

gambas3 (3.17.0-1) experimental; urgency=medium

  * Drop upstream patch
  * New upstream version 3.17.0
  * Update copyright info for new upstream version
  * Remove no longer needed postgresql-server dep
  * Add new components
  * Depend on newer PCRE lib (Closes: #1000122)

 -- Bastian Germann <bage@debian.org>  Sat, 12 Mar 2022 22:34:19 +0100

gambas3 (3.16.3-3) unstable; urgency=medium

  * Remove postgresql-server-dev-all MultiArch hint

  [ Jeremy Bicha ]
  * Cherry-pick patch to build PDF support with C++17

 -- Bastian Germann <bage@debian.org>  Mon, 07 Feb 2022 23:14:47 +0100

gambas3 (3.16.3-2) unstable; urgency=medium

  [ Bastian Germann ]
  * Correct zstd component's description
  * d/changelog: Correct email in old entry
  * Set bage's debian.org email
  * Webview components need gui impl (LP: #1944540)

  [ Pino Toscano ]
  * Limit the Wayland component & packages to Linux only

 -- Bastian Germann <bastiangermann@fishpost.de>  Thu, 07 Oct 2021 02:16:48 +0200

gambas3 (3.16.3-1) unstable; urgency=medium

  * New upstream version 3.16.3

 -- Bastian Germann <bastiangermann@fishpost.de>  Sat, 11 Sep 2021 14:12:24 +0200

gambas3 (3.16.2-3) unstable; urgency=medium

  * Build qt5webview on mips64el

 -- Bastian Germann <bastiangermann@fishpost.de>  Sat, 28 Aug 2021 12:01:07 +0200

gambas3 (3.16.2-2) unstable; urgency=medium

  * Don't build qt5-webview where webview is not available.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 25 Aug 2021 11:01:19 +0200

gambas3 (3.16.2-1) unstable; urgency=medium

  * Upstream removed license violating file, no need for repacking
  * New upstream version 3.16.2

 -- Bastian Germann <bastiangermann@fishpost.de>  Mon, 23 Aug 2021 10:29:04 +0200

gambas3 (3.16.0+ds-1) experimental; urgency=medium

  * Mark :native for an arch-all pkg
  * Update patch
  * Add new components
  * Do not install files that no longer exist
  * Install new files for existing components
  * Depend on libcrypt-dev explicitly
  * Allow other libcurl implementations
  * Exclude sourceless file with license violation
  * New upstream version 3.16.0+ds

 -- Bastian Germann <bastiangermann@fishpost.de>  Thu, 18 Feb 2021 23:06:50 +0100

gambas3 (3.15.2-1) unstable; urgency=medium

  * New upstream version 3.15.2
  * Drop upstream patch
  * Clean translation files

 -- Bastian Germann <bastiangermann@fishpost.de>  Fri, 18 Sep 2020 20:16:53 +0200

gambas3 (3.15.1-3) unstable; urgency=medium

  * Correct case sensitivity in lintian override
  * Exclude gambas3's transitive dependencies
  * Disable more modules for non-Linux platforms
  * Enable JIT module for all archs
  * lintian: wildcard-matches-nothing-in-dep5-copyright
  * lintian: duplicate-in-relation-field

 -- Bastian Germann <bastiangermann@fishpost.de>  Tue, 25 Aug 2020 19:08:35 +0200

gambas3 (3.15.1-2) unstable; urgency=medium

  * Patch: Correct poppler version detection

 -- Bastian Germann <bastiangermann@fishpost.de>  Wed, 19 Aug 2020 09:41:08 +0200

gambas3 (3.15.1-1) unstable; urgency=medium

  * Let devel depend on runtime for gbh3
  * Remove postgres patch
  * New upstream version 3.15.1

 -- Bastian Germann <bastiangermann@fishpost.de>  Sat, 01 Aug 2020 16:16:29 +0200

gambas3 (3.15.0-3) unstable; urgency=medium

  * Add gbh3 to gambas3-devel
  * Add gb.test component to gambas3-runtime

 -- Bastian Germann <bastiangermann@fishpost.de>  Sun, 19 Jul 2020 13:21:24 +0200

gambas3 (3.15.0-2) unstable; urgency=medium

  * Source-only reupload

 -- Bastian Germann <bastiangermann@fishpost.de>  Mon, 13 Jul 2020 13:11:22 +0200

gambas3 (3.15.0-1) unstable; urgency=medium

  [ Bastian Germann ]
  * Make patches follow DEP-3
  * Fail on bad configuration
  * New upstream version 3.15.0
  * d/copyright: Add db.postgresql and web.gui
  * Remove the upstream man pages
  * Add new gb.poppler component
  * Add new gb.web.gui component
  * Let gambas3-gb-jit recommend gcc
  * Rename gambas3-script pkg to gambas3-scripter
  * Rename gambas3-dev pkg to gambas3-devel

  [ Gianfranco Costamagna ]
  * Upload to sid

 -- Bastian Germann <bastiangermann@fishpost.de>  Tue, 07 Jul 2020 03:45:04 +0200

gambas3 (3.14.3-4) unstable; urgency=medium

  * Patch: nonverbose build
  * Move gb.desktop files to the right pkg
  * Move templates to gambas3-ide
  * Remove gbh3 from gambas3-runtime

 -- Bastian Germann <bastiangermann@fishpost.de>  Sat, 20 Jun 2020 13:50:13 +0200

gambas3 (3.14.3-3) unstable; urgency=medium

  * Add Debian CI pipelines
  * Update Standards-Version; no changes required
  * gambas3-gb-web-form is deprecated
  * Drop gambas3-gb-gtk and gambas3-gb-gtk-opengl (Closes: #947655)
  * Default dh_install
  * Remove David Paleino from Uploaders
  * Let gambas3-ide depend on gambas3-gb-form-print (LP: #1876450)
  * Move gb.desktop.gambas to the right package (LP: #1877042)
  * Fix watch file according to new GitLab URL

 -- Bastian Germann <bastiangermann@fishpost.de>  Sun, 10 May 2020 16:55:48 +0200

gambas3 (3.14.3-2) unstable; urgency=medium

  * Link with libcurl's GnuTLS version

 -- Bastian Germann <bastiangermann@fishpost.de>  Sun, 23 Feb 2020 20:37:59 +0100

gambas3 (3.14.3-1) unstable; urgency=medium

  * New upstream version 3.14.3

 -- Bastian Germann <bastiangermann@fishpost.de>  Sat, 18 Jan 2020 23:47:39 +0100

gambas3 (3.14.2-2) unstable; urgency=medium

  * Source-only reupload (Closes: #948783)

 -- Bastian Germann <bastiangermann@fishpost.de>  Mon, 13 Jan 2020 23:10:27 +0100

gambas3 (3.14.2-1) unstable; urgency=medium

  * Set Standards-Version to 4.4.1
  * Add Uploader: Bastian Germann
  * New upstream version 3.14.2
  * gb.openssl: GPL-2+ with OpenSSL exception
  * Remove patches
  * Add new package gambas3-gb-form-print
  * Depend on non-transitional libncurses
  * Add patch to exclude pq_fprintf def
  * Add lintian overrides
  * Change gambas3-runtime's section
  * Rules-Requires-Root: no (lintian fix)

 -- Bastian Germann <bastiangermann@fishpost.de>  Sun, 22 Dec 2019 10:30:40 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog gambas3-gb-openal`.
